diff --git a/src/main/java/net/minecraft/core/net/command/commands/GiveCommand.java b/src/main/java/net/minecraft/core/net/command/commands/CommandGive.java
similarity index 94%
rename from src/main/java/net/minecraft/core/net/command/commands/GiveCommand.java
rename to src/main/java/net/minecraft/core/net/command/commands/CommandGive.java
index d9dba700c..36ded5a31 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/GiveCommand.java
+++ b/src/main/java/net/minecraft/core/net/command/commands/CommandGive.java
@@ -10,18 +10,18 @@ import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.net.command.util.CommandHelper;
 import net.minecraft.core.net.command.CommandSource;
-import net.minecraft.core.net.command.arguments.EntityArgumentType;
-import net.minecraft.core.net.command.arguments.ItemStackArgumentType;
+import net.minecraft.core.net.command.arguments.ArgumentTypeEntity;
+import net.minecraft.core.net.command.arguments.ArgumentTypeItemStack;
 import net.minecraft.core.net.command.helpers.EntitySelector;
 
 import java.util.List;
 
-public class GiveCommand {
+public class CommandGive {
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
         dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("give")
                 .requires(CommandSource::hasAdmin)
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", EntityArgumentType.players())
-                        .then(RequiredArgumentBuilder.<CommandSource, ItemStack>argument("item", ItemStackArgumentType.itemStack())
+                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.players())
+                        .then(RequiredArgumentBuilder.<CommandSource, ItemStack>argument("item", ArgumentTypeItemStack.itemStack())
                                 .executes(c -> {
                                     CommandSource source = c.getSource();
                                     ItemStack itemStack = c.getArgument("item", ItemStack.class);
diff --git a/src/main/java/net/minecraft/core/net/command/commands/HealCommand.java b/src/main/java/net/minecraft/core/net/command/commands/CommandHeal.java
similarity index 94%
rename from src/main/java/net/minecraft/core/net/command/commands/HealCommand.java
rename to src/main/java/net/minecraft/core/net/command/commands/CommandHeal.java
index f11a5d3b6..cbcf96366 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/HealCommand.java
+++ b/src/main/java/net/minecraft/core/net/command/commands/CommandHeal.java
@@ -9,17 +9,17 @@ import net.minecraft.core.entity.Mob;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.World;
 import net.minecraft.core.net.command.CommandSource;
-import net.minecraft.core.net.command.arguments.EntityArgumentType;
+import net.minecraft.core.net.command.arguments.ArgumentTypeEntity;
 import net.minecraft.core.net.command.helpers.EntitySelector;
 
 import java.lang.reflect.InvocationTargetException;
 import java.util.List;
 
-public class HealCommand {
+public class CommandHeal {
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
         dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("heal")
                 .requires(CommandSource::hasAdmin)
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("entities", EntityArgumentType.entities())
+                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("entities", ArgumentTypeEntity.entities())
                         .then(RequiredArgumentBuilder.<CommandSource, Integer>argument("amount", IntegerArgumentType.integer(0, 32768))
                                 .executes(c -> {
                                     List<? extends Entity> entities = c.getArgument("entities", EntitySelector.class).get(c.getSource());
diff --git a/src/main/java/net/minecraft/core/net/command/commands/HelpCommand.java b/src/main/java/net/minecraft/core/net/command/commands/CommandHelp.java
similarity index 97%
rename from src/main/java/net/minecraft/core/net/command/commands/HelpCommand.java
rename to src/main/java/net/minecraft/core/net/command/commands/CommandHelp.java
index 5119abc86..57a9aa602 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/HelpCommand.java
+++ b/src/main/java/net/minecraft/core/net/command/commands/CommandHelp.java
@@ -11,11 +11,9 @@ import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.CommandSource;
 import net.minecraft.core.net.command.util.Iterables;
 
-import java.util.Arrays;
-import java.util.List;
 import java.util.Map;
 
-public class HelpCommand {
+public class CommandHelp {
     private static final SimpleCommandExceptionType FAILURE = new SimpleCommandExceptionType(() -> I18n.getInstance().translateKey("command.commands.help.exception_failure"));
 
     public static void register(CommandDispatcher<CommandSource> commandDispatcher) {
diff --git a/src/main/java/net/minecraft/core/net/command/commands/KillCommand.java b/src/main/java/net/minecraft/core/net/command/commands/CommandKill.java
similarity index 95%
rename from src/main/java/net/minecraft/core/net/command/commands/KillCommand.java
rename to src/main/java/net/minecraft/core/net/command/commands/CommandKill.java
index 13e5df255..96c353d82 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/KillCommand.java
+++ b/src/main/java/net/minecraft/core/net/command/commands/CommandKill.java
@@ -11,13 +11,13 @@ import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.util.CommandHelper;
 import net.minecraft.core.net.command.CommandSource;
-import net.minecraft.core.net.command.arguments.EntityArgumentType;
+import net.minecraft.core.net.command.arguments.ArgumentTypeEntity;
 import net.minecraft.core.net.command.exceptions.CommandExceptions;
 import net.minecraft.core.net.command.helpers.EntitySelector;
 
 import java.util.concurrent.CopyOnWriteArrayList;
 
-public class KillCommand {
+public class CommandKill {
     private static final SimpleCommandExceptionType FAILURE = new SimpleCommandExceptionType(() -> I18n.getInstance().translateKey("command.commands.kill.exception_failure"));
 
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
@@ -35,7 +35,7 @@ public class KillCommand {
 
                     return Command.SINGLE_SUCCESS;
                 })
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("entities", EntityArgumentType.entities())
+                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("entities", ArgumentTypeEntity.entities())
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             EntitySelector entitySelector = c.getArgument("entities", EntitySelector.class);
diff --git a/src/main/java/net/minecraft/core/net/command/commands/MessageCommand.java b/src/main/java/net/minecraft/core/net/command/commands/CommandMessage.java
similarity index 94%
rename from src/main/java/net/minecraft/core/net/command/commands/MessageCommand.java
rename to src/main/java/net/minecraft/core/net/command/commands/CommandMessage.java
index 0d52eb076..04aaea7c3 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/MessageCommand.java
+++ b/src/main/java/net/minecraft/core/net/command/commands/CommandMessage.java
@@ -11,16 +11,16 @@ import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.TextFormatting;
 import net.minecraft.core.net.command.CommandSource;
-import net.minecraft.core.net.command.arguments.EntityArgumentType;
+import net.minecraft.core.net.command.arguments.ArgumentTypeEntity;
 import net.minecraft.core.net.command.helpers.EntitySelector;
 import net.minecraft.core.util.helper.LoggedPrintStream;
 
 import java.util.List;
 
-public class MessageCommand {
+public class CommandMessage {
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
         CommandNode<CommandSource> command = dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("message")
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("targets", EntityArgumentType.players())
+                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("targets", ArgumentTypeEntity.players())
                         .then(RequiredArgumentBuilder.<CommandSource, String>argument("message", StringArgumentType.greedyString())
                                 .executes(c -> {
                                     CommandSource source = c.getSource();
diff --git a/src/main/java/net/minecraft/core/net/command/commands/MobSpawningCommand.java b/src/main/java/net/minecraft/core/net/command/commands/CommandMobSpawning.java
similarity index 94%
rename from src/main/java/net/minecraft/core/net/command/commands/MobSpawningCommand.java
rename to src/main/java/net/minecraft/core/net/command/commands/CommandMobSpawning.java
index 9734b8079..d13ac478a 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/MobSpawningCommand.java
+++ b/src/main/java/net/minecraft/core/net/command/commands/CommandMobSpawning.java
@@ -10,14 +10,13 @@ import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.EntityDispatcher;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.CommandSource;
-import net.minecraft.core.net.command.arguments.EntitySummonArgumentType;
-import net.minecraft.core.world.SpawnerMobs;
+import net.minecraft.core.net.command.arguments.ArgumentTypeEntitySummon;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.config.spawning.SpawnerConfig;
 
 import java.util.Collection;
 
-public class MobSpawningCommand {
+public class CommandMobSpawning {
     private static final DynamicCommandExceptionType FAILURE =
         new DynamicCommandExceptionType(arg -> () -> I18n.getInstance().translateKeyAndFormat("command.commands.mobspawning.exception_failure", arg));
 
@@ -39,7 +38,7 @@ public class MobSpawningCommand {
                         return Command.SINGLE_SUCCESS;
                     }))
                     .then(LiteralArgumentBuilder.<CommandSource>literal("set")
-                        .then(RequiredArgumentBuilder.<CommandSource, Class<? extends Entity>>argument("entity", EntitySummonArgumentType.entity())
+                        .then(RequiredArgumentBuilder.<CommandSource, Class<? extends Entity>>argument("entity", ArgumentTypeEntitySummon.entity())
                             .then(RequiredArgumentBuilder.<CommandSource, Boolean>argument("value", BoolArgumentType.bool())
                                 .executes(c -> {
                                     World world = c.getSource().getWorld();
diff --git a/src/main/java/net/minecraft/core/net/command/commands/PlaceCommand.java b/src/main/java/net/minecraft/core/net/command/commands/CommandPlace.java
similarity index 90%
rename from src/main/java/net/minecraft/core/net/command/commands/PlaceCommand.java
rename to src/main/java/net/minecraft/core/net/command/commands/CommandPlace.java
index 5bb224441..b2cd4b023 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/PlaceCommand.java
+++ b/src/main/java/net/minecraft/core/net/command/commands/CommandPlace.java
@@ -11,19 +11,19 @@ import net.minecraft.core.world.LevelListener;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.generate.feature.WorldFeature;
 import net.minecraft.core.net.command.CommandSource;
-import net.minecraft.core.net.command.arguments.IntegerCoordinatesArgumentType;
-import net.minecraft.core.net.command.arguments.WorldFeatureArgumentType;
+import net.minecraft.core.net.command.arguments.ArgumentTypeIntegerCoordinates;
+import net.minecraft.core.net.command.arguments.ArgumentTypeWorldFeature;
 import net.minecraft.core.net.command.exceptions.CommandExceptions;
 import net.minecraft.core.net.command.helpers.IntegerCoordinates;
 
-public class PlaceCommand {
+public class CommandPlace {
     private static final SimpleCommandExceptionType FAILURE = new SimpleCommandExceptionType(() -> I18n.getInstance().translateKey("command.commands.place.exception_failure"));
 
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
         CommandNode<CommandSource> command = dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("place")
                 .requires(CommandSource::hasAdmin)
-                .then(RequiredArgumentBuilder.<CommandSource, WorldFeature>argument("feature", WorldFeatureArgumentType.worldFeature())
-                        .then(RequiredArgumentBuilder.<CommandSource, IntegerCoordinates>argument("position", IntegerCoordinatesArgumentType.intCoordinates())
+                .then(RequiredArgumentBuilder.<CommandSource, WorldFeature>argument("feature", ArgumentTypeWorldFeature.worldFeature())
+                        .then(RequiredArgumentBuilder.<CommandSource, IntegerCoordinates>argument("position", ArgumentTypeIntegerCoordinates.intCoordinates())
                                 .executes(c -> {
                                     CommandSource source = c.getSource();
                                     WorldFeature feature = c.getArgument("feature", WorldFeature.class);
diff --git a/src/main/java/net/minecraft/core/net/command/commands/PlaySoundCommand.java b/src/main/java/net/minecraft/core/net/command/commands/CommandPlaySound.java
similarity index 94%
rename from src/main/java/net/minecraft/core/net/command/commands/PlaySoundCommand.java
rename to src/main/java/net/minecraft/core/net/command/commands/CommandPlaySound.java
index fa1a63021..4b75031bd 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/PlaySoundCommand.java
+++ b/src/main/java/net/minecraft/core/net/command/commands/CommandPlaySound.java
@@ -8,10 +8,10 @@ import com.mojang.brigadier.builder.RequiredArgumentBuilder;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.net.command.CommandSource;
-import net.minecraft.core.net.command.arguments.EntityArgumentType;
-import net.minecraft.core.net.command.arguments.SoundCategoryArgumentType;
-import net.minecraft.core.net.command.arguments.SoundIdArgumentType;
-import net.minecraft.core.net.command.arguments.Vec3ArgumentType;
+import net.minecraft.core.net.command.arguments.ArgumentTypeEntity;
+import net.minecraft.core.net.command.arguments.ArgumentTypeSoundCategory;
+import net.minecraft.core.net.command.arguments.ArgumentTypeSoundId;
+import net.minecraft.core.net.command.arguments.ArgumentTypeVec3;
 import net.minecraft.core.net.command.helpers.DoubleCoordinates;
 import net.minecraft.core.net.command.helpers.EntitySelector;
 import net.minecraft.core.sound.SoundCategory;
@@ -20,14 +20,14 @@ import net.minecraft.core.world.World;
 
 import java.util.List;
 
-public class PlaySoundCommand {
+public class CommandPlaySound {
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
         dispatcher.register
             (
                 LiteralArgumentBuilder.<CommandSource>literal("playsound")
                     .requires(CommandSource::hasAdmin)
-                    .then(RequiredArgumentBuilder.<CommandSource, String>argument("soundId", SoundIdArgumentType.soundId())
-                        .then(RequiredArgumentBuilder.<CommandSource, SoundCategory>argument("type", SoundCategoryArgumentType.soundCategory())
+                    .then(RequiredArgumentBuilder.<CommandSource, String>argument("soundId", ArgumentTypeSoundId.soundId())
+                        .then(RequiredArgumentBuilder.<CommandSource, SoundCategory>argument("type", ArgumentTypeSoundCategory.soundCategory())
                             .executes(c -> {
                                 String soundId = c.getArgument("soundId", String.class);
                                 SoundCategory category = c.getArgument("type", SoundCategory.class);
@@ -39,7 +39,7 @@ public class PlaySoundCommand {
                                 }
                                 return 0;
                             })
-                            .then(RequiredArgumentBuilder.<CommandSource, DoubleCoordinates>argument("position", Vec3ArgumentType.vec3d())
+                            .then(RequiredArgumentBuilder.<CommandSource, DoubleCoordinates>argument("position", ArgumentTypeVec3.vec3d())
                                 .executes(c -> {
                                     String soundId = c.getArgument("soundId", String.class);
                                     SoundCategory category = c.getArgument("type", SoundCategory.class);
@@ -87,7 +87,7 @@ public class PlaySoundCommand {
                                     )
                                 )
                             )
-                            .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", EntityArgumentType.entities())
+                            .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.entities())
                                 .executes(c -> {
                                     String soundId = c.getArgument("soundId", String.class);
                                     SoundCategory category = c.getArgument("type", SoundCategory.class);
diff --git a/src/main/java/net/minecraft/core/net/command/commands/SayCommand.java b/src/main/java/net/minecraft/core/net/command/commands/CommandSay.java
similarity index 97%
rename from src/main/java/net/minecraft/core/net/command/commands/SayCommand.java
rename to src/main/java/net/minecraft/core/net/command/commands/CommandSay.java
index 260d02158..43be12bb8 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/SayCommand.java
+++ b/src/main/java/net/minecraft/core/net/command/commands/CommandSay.java
@@ -7,7 +7,7 @@ import com.mojang.brigadier.builder.LiteralArgumentBuilder;
 import com.mojang.brigadier.builder.RequiredArgumentBuilder;
 import net.minecraft.core.net.command.CommandSource;
 
-public class SayCommand {
+public class CommandSay {
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
         dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("say")
                 .requires(CommandSource::hasAdmin)
diff --git a/src/main/java/net/minecraft/core/net/command/commands/SeedCommand.java b/src/main/java/net/minecraft/core/net/command/commands/CommandSeed.java
similarity index 96%
rename from src/main/java/net/minecraft/core/net/command/commands/SeedCommand.java
rename to src/main/java/net/minecraft/core/net/command/commands/CommandSeed.java
index 77845be9e..ee350fbf6 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/SeedCommand.java
+++ b/src/main/java/net/minecraft/core/net/command/commands/CommandSeed.java
@@ -5,7 +5,7 @@ import com.mojang.brigadier.CommandDispatcher;
 import com.mojang.brigadier.builder.LiteralArgumentBuilder;
 import net.minecraft.core.net.command.CommandSource;
 
-public class SeedCommand {
+public class CommandSeed {
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
         dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("seed")
                 .requires(CommandSource::hasAdmin)
diff --git a/src/main/java/net/minecraft/core/net/command/commands/SetBlockCommand.java b/src/main/java/net/minecraft/core/net/command/commands/CommandSetBlock.java
similarity index 93%
rename from src/main/java/net/minecraft/core/net/command/commands/SetBlockCommand.java
rename to src/main/java/net/minecraft/core/net/command/commands/CommandSetBlock.java
index 7fdc85895..82bdd8af0 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/SetBlockCommand.java
+++ b/src/main/java/net/minecraft/core/net/command/commands/CommandSetBlock.java
@@ -13,14 +13,14 @@ import net.minecraft.core.net.command.arguments.*;
 import net.minecraft.core.net.command.helpers.BlockInput;
 import net.minecraft.core.net.command.helpers.IntegerCoordinates;
 
-public class SetBlockCommand {
+public class CommandSetBlock {
     private static final SimpleCommandExceptionType FAILURE = new SimpleCommandExceptionType(() -> I18n.getInstance().translateKey("command.commands.setblock.exception_failure"));
 
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
         dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("setblock")
                 .requires(CommandSource::hasAdmin)
-                .then(RequiredArgumentBuilder.<CommandSource, IntegerCoordinates>argument("position", IntegerCoordinatesArgumentType.intCoordinates())
-                        .then(RequiredArgumentBuilder.<CommandSource, BlockInput>argument("block", BlockArgumentType.block())
+                .then(RequiredArgumentBuilder.<CommandSource, IntegerCoordinates>argument("position", ArgumentTypeIntegerCoordinates.intCoordinates())
+                        .then(RequiredArgumentBuilder.<CommandSource, BlockInput>argument("block", ArgumentTypeBlock.block())
                                 .executes(c -> {
                                     CommandSource source = c.getSource();
                                     IntegerCoordinates coordinates = c.getArgument("position", IntegerCoordinates.class);
diff --git a/src/main/java/net/minecraft/core/net/command/commands/SetSpawnCommand.java b/src/main/java/net/minecraft/core/net/command/commands/CommandSetSpawn.java
similarity index 89%
rename from src/main/java/net/minecraft/core/net/command/commands/SetSpawnCommand.java
rename to src/main/java/net/minecraft/core/net/command/commands/CommandSetSpawn.java
index fd27ebdf1..f23f98ea5 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/SetSpawnCommand.java
+++ b/src/main/java/net/minecraft/core/net/command/commands/CommandSetSpawn.java
@@ -7,14 +7,14 @@ import com.mojang.brigadier.builder.RequiredArgumentBuilder;
 import com.mojang.brigadier.tree.CommandNode;
 import net.minecraft.core.world.chunk.ChunkCoordinates;
 import net.minecraft.core.net.command.CommandSource;
-import net.minecraft.core.net.command.arguments.IntegerCoordinatesArgumentType;
+import net.minecraft.core.net.command.arguments.ArgumentTypeIntegerCoordinates;
 import net.minecraft.core.net.command.helpers.IntegerCoordinates;
 
-public class SetSpawnCommand {
+public class CommandSetSpawn {
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
         CommandNode<CommandSource> command = dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("setworldspawn")
                 .requires(CommandSource::hasAdmin)
-                .then(RequiredArgumentBuilder.<CommandSource, IntegerCoordinates>argument("position", IntegerCoordinatesArgumentType.intCoordinates())
+                .then(RequiredArgumentBuilder.<CommandSource, IntegerCoordinates>argument("position", ArgumentTypeIntegerCoordinates.intCoordinates())
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             IntegerCoordinates coordinates = c.getArgument("position", IntegerCoordinates.class);
diff --git a/src/main/java/net/minecraft/core/net/command/commands/SpawnCommand.java b/src/main/java/net/minecraft/core/net/command/commands/CommandSpawn.java
similarity index 96%
rename from src/main/java/net/minecraft/core/net/command/commands/SpawnCommand.java
rename to src/main/java/net/minecraft/core/net/command/commands/CommandSpawn.java
index e95815b03..e89488580 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/SpawnCommand.java
+++ b/src/main/java/net/minecraft/core/net/command/commands/CommandSpawn.java
@@ -12,12 +12,12 @@ import net.minecraft.core.world.World;
 import net.minecraft.core.world.chunk.ChunkCoordinates;
 import net.minecraft.core.net.command.util.CommandHelper;
 import net.minecraft.core.net.command.CommandSource;
-import net.minecraft.core.net.command.arguments.EntityArgumentType;
+import net.minecraft.core.net.command.arguments.ArgumentTypeEntity;
 import net.minecraft.core.net.command.helpers.EntitySelector;
 
 import java.util.List;
 
-public class SpawnCommand {
+public class CommandSpawn {
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
         dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("spawn")
                 .requires(CommandSource::hasAdmin)
@@ -34,7 +34,7 @@ public class SpawnCommand {
                     source.sendTranslatableMessage("command.commands.spawn.success");
                     return Command.SINGLE_SUCCESS;
                 })
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("players", EntityArgumentType.players())
+                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("players", ArgumentTypeEntity.players())
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             Player sender = source.getSender();
diff --git a/src/main/java/net/minecraft/core/net/command/commands/SpawnParticleCommand.java b/src/main/java/net/minecraft/core/net/command/commands/CommandSpawnParticle.java
similarity index 94%
rename from src/main/java/net/minecraft/core/net/command/commands/SpawnParticleCommand.java
rename to src/main/java/net/minecraft/core/net/command/commands/CommandSpawnParticle.java
index 7527010f7..6010c839b 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/SpawnParticleCommand.java
+++ b/src/main/java/net/minecraft/core/net/command/commands/CommandSpawnParticle.java
@@ -9,22 +9,22 @@ import com.mojang.brigadier.builder.RequiredArgumentBuilder;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.net.command.CommandSource;
-import net.minecraft.core.net.command.arguments.EntityArgumentType;
-import net.minecraft.core.net.command.arguments.ParticleIdArgumentType;
-import net.minecraft.core.net.command.arguments.Vec3ArgumentType;
+import net.minecraft.core.net.command.arguments.ArgumentTypeEntity;
+import net.minecraft.core.net.command.arguments.ArgumentTypeParticleId;
+import net.minecraft.core.net.command.arguments.ArgumentTypeVec3;
 import net.minecraft.core.net.command.helpers.DoubleCoordinates;
 import net.minecraft.core.net.command.helpers.EntitySelector;
 import org.jetbrains.annotations.Nullable;
 
 import java.util.List;
 
-public class SpawnParticleCommand {
+public class CommandSpawnParticle {
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
         dispatcher.register
             (
                 LiteralArgumentBuilder.<CommandSource>literal("spawnparticle")
                     .requires(CommandSource::hasAdmin)
-                    .then(RequiredArgumentBuilder.<CommandSource, String>argument("particleId", ParticleIdArgumentType.particleId())
+                    .then(RequiredArgumentBuilder.<CommandSource, String>argument("particleId", ArgumentTypeParticleId.particleId())
                         .executes(c -> {
                             String particleId = c.getArgument("particleId", String.class);
                             Player player = c.getSource().getSender();
@@ -33,7 +33,7 @@ public class SpawnParticleCommand {
                             }
                             return Command.SINGLE_SUCCESS;
                         })
-                        .then(RequiredArgumentBuilder.<CommandSource, DoubleCoordinates>argument("position", Vec3ArgumentType.vec3d())
+                        .then(RequiredArgumentBuilder.<CommandSource, DoubleCoordinates>argument("position", ArgumentTypeVec3.vec3d())
                             .executes(c -> {
                                 String particleId = c.getArgument("particleId", String.class);
                                 DoubleCoordinates pos = c.getArgument("position", DoubleCoordinates.class);
@@ -41,7 +41,7 @@ public class SpawnParticleCommand {
 
                                 return Command.SINGLE_SUCCESS;
                             })
-                            .then(RequiredArgumentBuilder.<CommandSource, DoubleCoordinates>argument("motion", Vec3ArgumentType.vec3d())
+                            .then(RequiredArgumentBuilder.<CommandSource, DoubleCoordinates>argument("motion", ArgumentTypeVec3.vec3d())
                                 .executes(c -> {
                                     String particleId = c.getArgument("particleId", String.class);
                                     DoubleCoordinates pos = c.getArgument("position", DoubleCoordinates.class);
@@ -80,7 +80,7 @@ public class SpawnParticleCommand {
                                 )
                             )
                         )
-                        .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", EntityArgumentType.entities())
+                        .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.entities())
                             .executes(c -> {
                                 String particleId = c.getArgument("particleId", String.class);
                                 EntitySelector selector = c.getArgument("target", EntitySelector.class);
@@ -91,7 +91,7 @@ public class SpawnParticleCommand {
 
                                 return Command.SINGLE_SUCCESS;
                             })
-                            .then(RequiredArgumentBuilder.<CommandSource, DoubleCoordinates>argument("motion", Vec3ArgumentType.vec3d())
+                            .then(RequiredArgumentBuilder.<CommandSource, DoubleCoordinates>argument("motion", ArgumentTypeVec3.vec3d())
                                 .executes(c -> {
                                     String particleId = c.getArgument("particleId", String.class);
                                     DoubleCoordinates motion = c.getArgument("motion", DoubleCoordinates.class);
